The Histeeria API powers ingest, authentication, evaluation data, and the web application. Base URL: https://api.histeeria.com

Authentication modes

ModeUsed forHeader
API keySDK ingest, automationAuthorization: Bearer hst_live_...
JWT sessionWeb app (logged-in user)Authorization: Bearer <jwt>
See Authentication.

Main endpoint groups

PrefixPurpose
POST /v1/ingestSubmit agent decisions
GET /v1/decisions/*List and inspect decisions (session auth)
/v1/evaluation/*Evaluation status and scores
/v1/auth/*Login, register, onboarding
/v1/profiles/*Agent profiles

Response codes

CodeMeaning
202Ingest accepted, queued
401Invalid or missing auth
422Validation error on payload
429Rate limited

OpenAPI

Interactive schema available at /docs on the API server (Swagger UI) when enabled in your deployment.

Authentication

API keys and JWT.

Ingest

Decision payload reference.

REST reference

Common routes summary.